.root {
  --btn-socials-color: #f5f5f5;
  --text-certificates: #222;
}
.text-decoration-none {
  text-decoration: none t !important;
}
.type-effect {
  font-size: 2rem; /* Adjust font size */
  white-space: normal;
  overflow: visible;
  display: inline;
  border-right: 2px solid black; /* Cursor effect */
  padding-right: 0.2em;
  font-family: "Courier New", Courier, monospace; /* Optional: gives a typewriter feel */
}
.text-shadow-50 {
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);
}
.text-shadow-100 {
  text-shadow: 2px 2px 10px var(--bs-primary);
}
/* Optional: Customize the cursor's blinking effect */
@keyframes blink {
  50% {
    border-color: transparent;
  }
}
.btn-whatsapp {
  color: var(--btn-socials-color);
  background-color: #128C7E;
}
.btn-whatsapp:hover {
  color: var(--btn-socials-color);
  background-color: #118073;
}
.btn-linkedin {
  color: var(--btn-socials-color);
  background-color: #144F97 !important;
}
.btn-linkedin:hover {
  color: var(--btn-socials-color);
  background-color: #0e417f !important;
}
.certificate-container {
  text-align: justify !important;
}
.certificate-container {
  text-align: left !important;
}
.certificates {
  color: var(--text-certificates);
  text-decoration: none;
  text-justify:auto ;
}
.certificates i {
  color: blue !important;
}
.navbar-logo {
  max-height: 48px;
  height: 100%;
  width: auto;
  padding: 0;
  margin: 0;
}
.modal-video{
  max-height: 500px;
}
.project-header {
  position: relative;
  width: 100%;
  height: 300px;
  overflow: hidden;
  background-color: black;
}

.project-header img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
  display: block;
  opacity: 0; /* Hide the image initially */
  transition: opacity 1s ease;
}

.project-title {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  opacity: 0;
  transition: opacity 1s ease;
  color: #bbb;
  z-index: 1;
}
.portfolio-row {
  display: flex;
  gap: 0; /* optional spacing */
  margin: 0;
  margin-bottom: 0; /* or add spacing between rows */
  align-items: stretch;
}

.portfolio-col {
  flex: 1;
  padding: 0;
}

.img-portfolio {
  width: 100%;
  height: 100%;
  object-fit: cover ; /* or use 'contain' if you don’t want cropping */
}

.portfolio-box {
  display: block;
  height: 100%;
  position: relative;
}

.portfolio-box-caption {
  position: absolute;
  bottom: 0;
  background: rgba(0, 0, 0, 0.5);
  width: 100%;
  color: #fff;
  padding: 10px;
}
